Bug 38814 - Installation gets confused if /usr/share is in rpm's %_netsharedpath
Installation gets confused if /usr/share is in rpm's %_netsharedpath
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gnome-print (Show other bugs)
1.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Owen Taylor
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-02 15:46 EDT by Enrico Scholz
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-02 15:49:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2001-05-02 15:46:36 EDT
When having /usr/share in %_netsharedpath, upgrading/installing the
RPM-package fails and the upgrade-process does not clean up the database
properly:

------------------
$ rpm -U /usr/src/redhat/RPMS/i386/gnome-print-0.28-6.i386.rpm
...
Registered font: XYEUBT10
Done
Cannot open output file /usr/share//fonts/fontmap2
Error: something went very wrong.
Fehler: execution of %post scriptlet from gnome-print-0.28-6 failed, exit
status 2

$ rpm -q gnome-print
gnome-print-0.25-1
gnome-print-0.25-8
gnome-print-0.28-6

$ rpm --eval '%{_netsharedpath}'
/home:/var/spool/mail:/var/data:/usr/src/redhat:/usr/share
--------------------


Perhaps the duplicate installed packages are an RPM-issue, but I suggest to
let succeed the %postinstall - command ("perl
/usr/lib/gnome-print/run-gnome-font-install ...") by appending a ' || true'
there.

Furthermore installing/upgrading of RPM-packages should be silently as fas
as possible. But the gnome-print %postinstall script produces a lot of
output, so I suggest redirect its output to /dev/null.
Comment 1 Owen Taylor 2001-07-21 18:58:59 EDT
Fixed in 0.29-2 by moving fontmap to:

 /etc/gnome/fonts/fontmap2

Note You need to log in before you can comment on or make changes to this bug.